/*
 * $Id: menu_actions_cb.c,v 1.9 2004/02/25 00:53:11 cairo Exp $
 * 
 * Copyright (C) 2003 tooar <tooar@gmx.net>
 * 
 * This file is part of actions.
 * actions is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * actions is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <stdio.h>
#include <string.h>
#include "emelfm2.h"
#include "menu_actions_cb.h"
#include "e2_utils.h"
#include "e2_command.h"

void e2_menu_action_edit_filetype_cb (GtkWidget *widget)
{
	FileInfo *info;
	FileType *ft;
	gchar *ext;

	info = gtk_clist_get_row_data(GTK_CLIST(curr_view->clist), curr_view->row);
	if (info == NULL)
		return;

	if (is_dir (info))
	{
		ext = ".<directory>";
	} else if (is_executable (info))
	{
		ext = ".<executable>";
	} else if ((ext = strchr(info->filename, '.')) == NULL)
	{
		status_error ("the file does not have an extension.");
		return;
	}

	do
	{
		ext++;
		if ((ft = get_filetype_for_ext(ext)) != NULL)
		{
			gtk_widget_set_sensitive(app.main_window, FALSE);
			create_filetype_dialog(&ft, TRUE);
			gtk_main();
			gtk_widget_set_sensitive(app.main_window, TRUE);
			return;
		}
	} while ((ext = strchr(ext, '.')) != NULL);

	open_cb (NULL);
//	status_error ("filetype not found.");
	return;
}

void e2_menu_action_custom_command_cb (GtkWidget *widget, gpointer data)
{
	gchar *command = g_strdup (data);
	e2_command_run (command, E2_COMMAND_RANGE_DEFAULT);
	g_free (command);
}
