/* $Id: e2_command_line.h,v 1.16 2004/08/07 22:42:50 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/**
 * @file e2_command_line.h 
 * @brief command line header
 *
 * This is the header file for the command line functions.
 **/

#ifndef E2_COMMAND_LINE_H
#  define E2_COMMAND_LINE_H

typedef enum
{
	E2_COMMAND_LINE_ORIGINAL = 1<<0,
	E2_COMMAND_LINE_DIR_LINE = 1<<1
} E2_CommandLineFlags;

typedef struct _E2_CommandLineRuntime
{
	gchar *name;
	gpointer func;
	E2_CommandLineFlags flags;
	gboolean original;
	gpointer data;

	GtkWidget *cl;
	GList *history;
	GtkTreeModel *model;
	E2_OptionSet *opt_history_last;
} E2_CommandLineRuntime;

//callbacks
void e2_command_line_default_cb (GtkWidget *entry, E2_CommandLineRuntime *rt);
void e2_command_line_directory_cb (GtkWidget *entry, E2_CommandLineRuntime *rt);
	
//public
E2_CommandLineRuntime *e2_command_line_create (gchar *name_runtime,
	gchar *name_default, gpointer func, E2_CommandLineFlags flags, gpointer data);
GtkWidget *_e2_command_line_create (E2_CommandLineRuntime *rt);
void e2_command_line_destroy (E2_CommandLineRuntime *rt);
void e2_command_line_init ();

#endif /* ifndef E2_COMMAND_LINE_H */

