/* $Id: e2_option_sel.c,v 1.10 2004/07/13 23:05:11 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdlib.h>
#include <stdio.h>
#include "emelfm2.h"
#include "e2_option.h"
#include "e2_option_sel.h"

  /******************/
 /***** public *****/
/******************/

void e2_option_sel_add_widget (GtkWidget *dialog, GtkWidget *box,
	GtkSizeGroup *size_group, E2_OptionSet *set)
{
	GtkWidget *event = e2_widget_add_eventbox (box, FALSE, 0);
	GtkWidget *hbox = gtk_hbox_new (FALSE, 5);
	gtk_container_add (GTK_CONTAINER (event), hbox);
	gchar *label_text = g_strconcat (set->desc, ":", NULL);
	GtkWidget *label = e2_widget_add_label (hbox, label_text, 0.0, FALSE,
		0);
	g_free (label_text);
	gtk_size_group_add_widget (size_group, label);
	GtkWidget *combo = e2_combobox_add (hbox, FALSE, 5, NULL, NULL, E2_COMBOBOX_MENU_STYLE);
	e2_combobox_append_history_strv (combo, set->ex.sel.def);
	gtk_combo_box_set_active (GTK_COMBO_BOX (combo), set->idef);
	e2_widget_set_tooltip (NULL, event, set->tip);
	set->widget = combo;
	gtk_widget_show_all (event);
}

E2_OptionSet *e2_option_sel_register (gchar *name, gchar *group, gchar *desc,
	gchar *tip, gchar *depends, gint def, gchar **values)
{
	E2_OptionSet *set;
	if ((set = _e2_option_get (name)) != NULL)
		return set;
	set = malloc (sizeof (E2_OptionSet));
	//set up E2_OptionSet
	set->name = name;
	set->group = group;
	set->type = E2_OPTION_TYPE_SEL;
	set->desc = desc;
	set->tip = tip;
	set->depends = depends;
	set->ex.sel.def = g_strdupv (values);
	set->idef = def;
	set->sdef = (gchar *) set->ex.sel.def[def];
	e2_option_register (set);
	return set;
}

void e2_option_sel_set (gchar *option, gint value)
{
	E2_OptionSet *set;
	set = e2_option_get (option);
	if (set->type == E2_OPTION_TYPE_SEL)
		_e2_option_sel_set (set, value);
	else
		printd (WARN, "trying to set int option '%s' which isn't an int", option);
}
void _e2_option_sel_set (E2_OptionSet *set, gint value)
{
	set->idef = value;
	set->sdef = (gchar *) set->ex.sel.def[value];
}

