/*
 * $Id: e2_about_dialog.c,v 1.6 2004/07/28 00:22:50 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of dialogs.
 * dialogs is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * dialogs is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include "emelfm2.h"
#include "e2_about_dialog.h"
#include "e2_dialog.h"
#include "e2_button.h"
#include "build.h"

static void response_cb (GtkWidget *dialog, gint response, gpointer data)
{
	gtk_widget_destroy (dialog);
}

GtkWidget *e2_about_dialog_create ()
{
	gchar *icon_file = g_build_filename (ICON_DIR, "icon_emelfm2_048.png", NULL);
	GtkWidget *dialog = e2_dialog_create (icon_file, 
		"<span size=\"x-large\" weight=\"bold\">" PROGNAME " " VERSION "</span>",
		"about", response_cb, NULL);
	g_free (icon_file);
	GtkWidget *vbox = e2_dialog_add_sw (dialog);
	gchar *mesc = MESC (COPYRIGHT);
	gchar *message = g_strdup_printf
	(
		"\n<b>A GTK+2 file manager</b>\n"
		"<b>implementing a two-pane design</b>\n\n"
		"This binary has been compiled on "__DATE__"\n"
		"using " BUILDINFO " and GTK+%d.%d.%d\n\n"
		"Copyright \302\251 %s",
		GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION, mesc
	);
	g_free (mesc);
	GtkWidget *label = e2_widget_add_label (vbox, message, 0.5, FALSE, 0);
	g_free (message);
	gtk_label_set_justify (GTK_LABEL (label), GTK_JUSTIFY_CENTER);
	gtk_label_set_selectable (GTK_LABEL (label), TRUE);
	
	e2_dialog_add_button (dialog, E2_BUTTON_OK);
	return dialog;
}

void e2_about_dialog_show ()
{
	GtkWidget *dialog = e2_about_dialog_create ();
	e2_dialog_resize (dialog, 1.1);
	e2_dialog_show (dialog, app.main_window, 0, 0);
}
