/* $Id: e2_output.h,v 1.8 2004/05/23 02:10:19 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef E2_OUTPUT_H
#  define E2_OUTPUT_H

#include "e2_option.h"

typedef struct _E2_OutputRuntime
{
	GtkWidget *scroll;
	GtkTextView *text;
	GtkTextBuffer *buffer;
	gint font_size;
	E2_OptionSet *opt_jump;
	E2_OptionSet *opt_jump_follow;
	E2_OptionSet *opt_jump_end;
	GtkTextMark *mark;
	gboolean onscreen;
} E2_OutputRuntime;

#define status_message(msg) e2_output_print (msg, NULL, FALSE, FALSE, FALSE, NULL);
#define status_error(msg) e2_output_print (msg, NULL, TRUE, FALSE, TRUE, NULL);
#define status_errno(msg) e2_output_print ((gchar *) g_strerror (errno), NULL, TRUE, FALSE, TRUE, NULL);
#define e2_output_print_errno() e2_output_print ((gchar *) g_strerror (errno), NULL, TRUE, FALSE, TRUE, NULL);
#define status_messagef(msg, first_tag, args...) e2_output_print (msg, NULL, FALSE, FALSE, FALSE, first_tag, ## args);
#define status_message2(msg, debug, first_tag, args...) e2_output_print (msg, NULL, FALSE, debug, FALSE, first_tag, ## args);
#define e2_output_print_error(msg) e2_output_print (msg, NULL, TRUE, FALSE, FALSE, NULL);
#define e2_output_print_default(msg) e2_output_print (msg, NULL, FALSE, FALSE, FALSE, NULL);
void e2_output_print (gchar *msg, gchar *origin, gboolean error,
	gboolean debug, gboolean newline, const gchar *first_tag, ...);
void toggle_output_window_fs (GtkWidget *widget);
gboolean set_output_window_fs (GtkWidget *widget);
gboolean unset_output_window_fs (GtkWidget *widget);

gboolean e2_output_show_pane (GtkWidget *widget);
gboolean e2_output_hide_pane (GtkWidget *widget);

void e2_output_update_style (E2_OutputRuntime *rt);
GtkWidget *e2_output_create (E2_OutputRuntime *rt);
void e2_output_init ();

#endif /* ifndef E2_OUTPUT_H */

