/*
 * $Id: e2_button.h,v 1.7 2004/07/04 16:29:49 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of utils.
 * utils is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * utils is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING.   If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef E2_BUTTON_H
#  define E2_BUTTON_H

typedef enum
{
	E2_BUTTON_FREE_DATA         = 1 << 0,
	E2_BUTTON_ICON_ABOVE_LABEL  = 1 << 1,
	E2_BUTTON_CAN_FOCUS         = 1 << 2,
	E2_BUTTON_CAN_DEFAULT       = 1 << 3,
	E2_BUTTON_SHOW_MISSING_ICON = 1 << 4,
} E2_ButtonFlags;

typedef enum
{
	E2_BUTTON_OK           = 1 << 0,
	E2_BUTTON_CANCEL       = 1 << 1,
	E2_BUTTON_APPLY        = 1 << 2,
	E2_BUTTON_APPLY_TO_ALL = 1 << 3,
	E2_BUTTON_YES          = 1 << 4,
	E2_BUTTON_YES_TO_ALL   = 1 << 5,
	E2_BUTTON_NO           = 1 << 6,
	E2_BUTTON_NO_TO_ALL    = 1 << 7,
	E2_BUTTON_ADD          = 1 << 8,
	E2_BUTTON_ADD_CHILD    = 1 << 9,
	E2_BUTTON_REMOVE       = 1 << 10,
	E2_BUTTON_CREATE       = 1 << 11,
	E2_BUTTON_DELETE       = 1 << 12,
	E2_BUTTON_APPEND       = 1 << 13,
	E2_BUTTON_HELP         = 1 << 14,
} E2_ButtonType;

//FIXME: replace old function calls
#define add_button(box, label, fill, pad, func, data) \
e2_button_add (box, fill, pad, label, NULL, NULL, func, data)

GtkWidget *e2_button_get (gchar *label, gchar *stock, gchar *tip,
	void *callback, void *data);
GtkWidget *_e2_button_get (gchar *label, gchar *stock, GtkIconSize size,
	gchar *tip, void *callback, void *data, E2_ButtonFlags flags);
GtkWidget *e2_button_add (GtkWidget *box, gint fill, gint pad,
	gchar *label, gchar *stock, gchar *tip, void *callback, void *data);
GtkWidget *e2_button_get_toggle (gchar *label, gint state,
	void *func, gpointer data, gboolean check);
GtkWidget *e2_button_add_toggle (GtkWidget *box, gchar *label, gint state,
	gint fill, gint pad, void *func, gpointer data, gboolean check);
GtkWidget *e2_button_add_radio (GtkWidget *box, gchar *label, GSList *group,
	gint fill, gint pad, void *func, gpointer data);



#endif /* ifndef E2_BUTTON_H */

