/* $Id: e2_utf8.h,v 1.7 2004/08/07 22:42:50 cairo Exp $
 * 
 * Copyright (C) 2004 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file COPYING. If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/**
 * @file e2_utf8.h 
 * @brief utf8 string utilities header
 *
 * This is the header file for the utf8 string utility functions.
 **/

#ifndef E2_UTF8_H
#  define E2_UTF8_H

gchar *e2_utf8_ndup (const gchar *str, glong num);
gchar *e2_utf8_escape (const gchar *str, gunichar c);
gchar *e2_utf8_unescape (const gchar *str, gunichar c);
inline gchar *_STR2UTF(const gchar *d);
inline gchar *_UTF2STR(const gchar *d);
inline gchar *STR2UTF(const gchar *d);
inline gchar *UTF2STR(const gchar *d);

#endif /* ifndef E2_UTF8_H */

